spec:
  inputs:
    test_var:
      description: "Test var"
      type: string
      default: "Test Var Content"

---
stages:
  - test
  - build
  - deploy

variables:
  TEST_VAR: $[[ inputs.test_var ]]
  FLOW_VERSION: "main"
  FLOW_SRC_URL: "https://gitlab.com/gxmmx/gitops/gitlab/flow.git"
  FLOW_SRC_DIR: "flow"

include:
  - local: includes/base.yml

test job:
  extends: .flow_base_alpine
  stage: test
  script:
    - ls -al /usr/local/bin
    - myscript
    - myscript2
